<div class="modal inventory-item-details" role="dialog" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title">
                  {{vm.inventoryItem.referenceName}}
              </h1>
            </div>
            <div class="modal-body" ng-if="vm.inventoryItem">
                <aside class="equipment-inventory-item-status {{vm.getFunctionalStatusClass()}}">
                    <p>{{vm.getFunctionalStatusLabel() | message}}</p>
                    <p>
                        <em>{{vm.inventoryItem.lastModifier.firstName}} {{vm.inventoryItem.lastModifier.lastName}}</em>
                        {{vm.inventoryItem.modifiedDate | openlmisDatetime}}
                    </p>
                    <button ng-show="vm.userHasRightToEdit" id="status-update" ng-click="vm.goToStatusUpdate(vm.inventoryItem)">
                        {{'equipmentInventoryItemDetails.updateStatus' | message}}
                    </button>
                </aside>
                <dl class="horizontal-list">
                    <dt>{{'equipmentInventoryItemDetails.district' | message}}</dt>
                    <dd>{{vm.inventoryItem.facility.geographicZone.name}}</dd>
                    <dt>{{'equipmentInventoryItemDetails.facility' | message}}</dt>
                    <dd>{{vm.inventoryItem.facility.name}}</dd>
                    <dt>{{'equipmentInventoryItemDetails.program' | message}}</dt>
                    <dd id="program">{{vm.inventoryItem.program.name}}</dd>
                    <dt>{{'equipmentInventoryItemDetails.equipmentType' | message}}</dt>
                    <dd>{{vm.inventoryItem.catalogItem.type}}</dd>
                    <dt>{{'equipmentInventoryItemDetails.netVolume' | message}}</dt>
                    <dd>{{vm.inventoryItem.catalogItem.netVolume}} {{'equipmentInventoryItemDetails.liters' | message}}</dd>
                </dl>

                <div class="sub-heading">
                    <h3 class="title">
                        {{'equipmentInventoryItemDetails.equipmentIdentification' | message}}
                    </h3>
                </div>
                <dl class="horizontal-list">
                    <dt>{{'equipmentInventoryItemDetails.makeModel' | message}}</dt>
                    <dd>{{vm.inventoryItem.catalogItem | makeModel}}</dd>
                    <dt>{{'equipmentInventoryItemDetails.serialNumber' | message}}</dt>
                    <dd>{{vm.inventoryItem.equipmentTrackingId}}</dd>
                </dl>

                <div class="sub-heading">
                    <h3 class="title">
                        {{'equipmentInventoryItemDetails.equipmentHistory' | message}}
                    </h3>
                </div>
                <dl class="horizontal-list">
                    <dt>{{'equipmentInventoryItemDetails.utilization' | message}}</dt>
                    <dd id="utilization">{{vm.getUtilizationStatusLabel(vm.inventoryItem.utilization) | message}}</dd>
                    <dt>{{'equipmentInventoryItemDetails.yearOfInstallation' | message}}</dt>
                    <dd>{{vm.inventoryItem.yearOfInstallation}}</dd>
                </dl>
                <dl class="horizontal-list" id="source" ng-if="vm.inventoryItem.source">
                    <dt>{{'equipmentInventoryItemDetails.source' | message}}</dt>
                    <dd>{{vm.inventoryItem.source}}</dd>
                </dl>
                <dl class="horizontal-list" id="year-of-warranty-expiry"
                    ng-if="vm.inventoryItem.yearOfWarrantyExpiry">
                    <dt>{{'equipmentInventoryItemDetails.yearOfWarrantyExpiry' | message}}</dt>
                    <dd>{{vm.inventoryItem.yearOfWarrantyExpiry}}</dd>
                </dl>

                <div class="sub-heading">
                    <h3 class="title">
                        {{'equipmentInventoryItemDetails.equipmentInstallation' | message}}
                    </h3>
                </div>
                <dl class="horizontal-list">
                    <dt>{{'equipmentInventoryItemDetails.voltageStabilizer' | message}}</dt>
                    <dd id="voltage-stabilizer">{{vm.getStatusLabel(vm.inventoryItem.voltageStabilizer) | message}}</dd>
                    <dt>{{'equipmentInventoryItemDetails.backupGenerator' | message}}</dt>
                    <dd id="backup-generator">{{vm.getStatusLabel(vm.inventoryItem.backupGenerator) | message}}</dd>
                    <dt>{{'equipmentInventoryItemDetails.voltageRegulator' | message}}</dt>
                    <dd id="voltage-regulator">{{vm.getStatusLabel(vm.inventoryItem.voltageRegulator) | message}}</dd>
                    <dt>{{'equipmentInventoryItemDetails.manualTemperatureGauge' | message}}</dt>
                    <dd id="manual-temperature-gauge">{{vm.getManualTemperatureGaugeTypeLabel(vm.inventoryItem.manualTemperatureGauge) | message}}</dd>
                    <dt>{{'equipmentInventoryItemDetails.remoteTemperatureMonitor' | message}}</dt>
                    <dd id="remote-temperature-monitor">{{vm.getRemoteTemperatureMonitorTypeLabel(vm.inventoryItem.remoteTemperatureMonitor) | message}}</dd>
                </dl>
                <dl id="additional-notes" ng-if="vm.inventoryItem.additionalNotes">
                    <dt>{{'equipmentInventoryItemDetails.additionalNotes' | message}}</dt>
                    <dd>{{vm.inventoryItem.additionalNotes}}</dd>
                </dl>
            </div>
            <div class="modal-footer">
                <button id="close" ui-sref="openlmis.equipment.inventory">
                    {{'equipmentInventoryItemDetails.close' | message}}
                </button>
                <button ng-show="vm.userHasRightToEdit" id="edit" class="primary" ng-click="vm.goToEditPage(vm.inventoryItem)">
                    {{'equipmentInventoryItemDetails.edit' | message}}
                </button>
            </div>
        </div>
    </div>
</div>
